Get all backups of the VM
curl --request GET \
--url https://api.cloud.onidel.com/vm/{vm_id}/backups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}/backups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.onidel.com/vm/{vm_id}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac",
"created_at": "2025-01-05T13:00:20.010Z",
"size": 20,
"instance": "c1d45377-b2a9-4407-ab8d-6909c34dfaac",
"status": "available"
}
]Virtual Machines
Get all backups of the VM
Get all backups of the VM
GET
/
vm
/
{vm_id}
/
backups
Get all backups of the VM
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM UUID that need to be considered for filter
Query Parameters
Team ID that need to be considered for filter. Default team will be used if not provided.
Response
Successful operation